#include "List.h"
//function that adds an object into the list
template <class TYPE>
void List<TYPE>::add(TYPE x)
{
	//the size is increased
	size++;
	//if the list is empty 
	if(first==0) {
		first=last=new Node(x);
	} else	{  
		Node * pcur=first;
		Node * cur=new Node(x);
		//the first pointer points to the new object
		first=cur;
		//and the apropriate pointers are updated
		cur->next=pcur;
		pcur->prev=cur;
	}
}
