#ifndef _LIST_H
#define	_LIST_H
//List template class
template <class TYPE>
class List
{
public:
	//constructor: initializes all the pointers to null
	List(): first(0),last(0)  { size=0;	}
	//declaration of functions
	void add(TYPE );
	long size;

	//the node class that represents the nodes of the list
	class Node
	{
	public:
		//node class constructor: initialize all the pointers to null
		Node(TYPE x): next(0),prev(0), key(x) {}
		//pointers to the next and to the previous nodes
		Node * next;
		Node * prev;
		//the variable that holds the pointer to the data contained in the node
		TYPE key;
	};
	//pointers to the first and last node to the list
	Node * first;
	Node * last;
};
#endif
